public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-lang/jsonnet/, dev-lang/jsonnet/files/
@ 2020-10-25 23:27 Georgy Yakovlev
  0 siblings, 0 replies; 4+ messages in thread
From: Georgy Yakovlev @ 2020-10-25 23:27 UTC (permalink / raw
  To: gentoo-commits

commit:     a86e22f994318984353a0a6c4223fc8d6a7bf072
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 25 23:26:33 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Sun Oct 25 23:27:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a86e22f9

dev-lang/jsonnet: fix libdir

Closes: https://bugs.gentoo.org/751160
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 dev-lang/jsonnet/files/jsonnet-0.16.0-libdir.patch | 35 ++++++++++++++++++++++
 ...t-0.16.0-r1.ebuild => jsonnet-0.16.0-r2.ebuild} |  4 +--
 2 files changed, 37 insertions(+), 2 deletions(-)

diff --git a/dev-lang/jsonnet/files/jsonnet-0.16.0-libdir.patch b/dev-lang/jsonnet/files/jsonnet-0.16.0-libdir.patch
new file mode 100644
index 00000000000..552837112d5
--- /dev/null
+++ b/dev-lang/jsonnet/files/jsonnet-0.16.0-libdir.patch
@@ -0,0 +1,35 @@
+From 94d25e4845e46b27d0e425dc923480abc81a95ae Mon Sep 17 00:00:00 2001
+From: Georgy Yakovlev <gyakovlev@gentoo.org>
+Date: Sun, 25 Oct 2020 16:21:56 -0700
+Subject: [PATCH] respect libdir
+
+---
+ Makefile | 5 +++--
+ 1 file changed, 3 insertions(+), 2 deletions(-)
+
+diff --git a/Makefile b/Makefile
+index 52c674a..ffcd666 100644
+--- a/Makefile
++++ b/Makefile
+@@ -30,6 +30,7 @@ OD ?= od
+ OPT ?= -O3
+ 
+ PREFIX ?= /usr/local
++LIBDIR ?= lib
+ 
+ CXXFLAGS += -Wall -Wextra -Woverloaded-virtual -pedantic -std=c++0x -fPIC
+ CXXFLAGS += -Iinclude -Ithird_party/md5 -Ithird_party/json
+@@ -128,8 +129,8 @@ default: jsonnet jsonnetfmt
+ install: bins libs
+ 	mkdir -p $(DESTDIR)$(PREFIX)/bin
+ 	cp $(BINS) $(DESTDIR)$(PREFIX)/bin/
+-	mkdir -p $(DESTDIR)$(PREFIX)/lib
+-	cp $(LIBS) $(DESTDIR)$(PREFIX)/lib/
++	mkdir -p $(DESTDIR)$(PREFIX)/$(LIBDIR)
++	cp $(LIBS) $(DESTDIR)$(PREFIX)/$(LIBDIR)/
+ 	mkdir -p $(DESTDIR)$(PREFIX)/include
+ 	cp $(INCS) $(DESTDIR)$(PREFIX)/include/
+ 
+-- 
+2.29.1
+

diff --git a/dev-lang/jsonnet/jsonnet-0.16.0-r1.ebuild b/dev-lang/jsonnet/jsonnet-0.16.0-r2.ebuild
similarity index 92%
rename from dev-lang/jsonnet/jsonnet-0.16.0-r1.ebuild
rename to dev-lang/jsonnet/jsonnet-0.16.0-r2.ebuild
index 7df6256a2cc..60961d97d63 100644
--- a/dev-lang/jsonnet/jsonnet-0.16.0-r1.ebuild
+++ b/dev-lang/jsonnet/jsonnet-0.16.0-r2.ebuild
@@ -34,6 +34,7 @@ REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 PATCHES=(
 	"${FILESDIR}/jsonnet-0.14.0-makefile.patch"
 	"${FILESDIR}/jsonnet-0.12.1-dont-call-make-from-setuppy.patch"
+	"${FILESDIR}/jsonnet-0.16.0-libdir.patch"
 )
 
 distutils_enable_tests setup.py
@@ -41,7 +42,6 @@ distutils_enable_tests setup.py
 src_prepare() {
 	default
 	use python && distutils-r1_src_prepare
-	sed -i "s@\(PREFIX\)/lib@\(PREFIX\)/$(get_libdir)@g" Makefile || die
 }
 
 src_configure() {
@@ -61,7 +61,7 @@ src_test() {
 }
 
 src_install() {
-	emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" install
+	emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" LIBDIR="$(get_libdir)" install
 	use python && distutils-r1_src_install
 	if use doc; then
 		find doc -name '.gitignore' -delete || die


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/jsonnet/, dev-lang/jsonnet/files/
@ 2020-10-26  1:15 Georgy Yakovlev
  0 siblings, 0 replies; 4+ messages in thread
From: Georgy Yakovlev @ 2020-10-26  1:15 UTC (permalink / raw
  To: gentoo-commits

commit:     a7946570f909e0f1ab4b3d324be7708b0c8f6364
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 26 01:15:14 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Mon Oct 26 01:15:28 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7946570

dev-lang/jsonnet: don't de-reference symlinks

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 dev-lang/jsonnet/files/jsonnet-0.16.0-cp-var.patch | 31 ++++++++++++++++++++++
 dev-lang/jsonnet/jsonnet-0.16.0-r2.ebuild          |  4 ++-
 2 files changed, 34 insertions(+), 1 deletion(-)

diff --git a/dev-lang/jsonnet/files/jsonnet-0.16.0-cp-var.patch b/dev-lang/jsonnet/files/jsonnet-0.16.0-cp-var.patch
new file mode 100644
index 00000000000..cbbcd5776f2
--- /dev/null
+++ b/dev-lang/jsonnet/files/jsonnet-0.16.0-cp-var.patch
@@ -0,0 +1,31 @@
+From 47dfe49281d083951aa0e420686c3f683ffd6352 Mon Sep 17 00:00:00 2001
+From: Georgy Yakovlev <gyakovlev@gentoo.org>
+Date: Sun, 25 Oct 2020 18:12:05 -0700
+Subject: [PATCH] use CP var
+
+---
+ Makefile | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/Makefile b/Makefile
+index ffcd666..8eb31aa 100644
+--- a/Makefile
++++ b/Makefile
+@@ -128,11 +128,11 @@ default: jsonnet jsonnetfmt
+ 
+ install: bins libs
+ 	mkdir -p $(DESTDIR)$(PREFIX)/bin
+-	cp $(BINS) $(DESTDIR)$(PREFIX)/bin/
++	$(CP) $(BINS) $(DESTDIR)$(PREFIX)/bin/
+ 	mkdir -p $(DESTDIR)$(PREFIX)/$(LIBDIR)
+-	cp $(LIBS) $(DESTDIR)$(PREFIX)/$(LIBDIR)/
++	$(CP) $(LIBS) $(DESTDIR)$(PREFIX)/$(LIBDIR)/
+ 	mkdir -p $(DESTDIR)$(PREFIX)/include
+-	cp $(INCS) $(DESTDIR)$(PREFIX)/include/
++	$(CP) $(INCS) $(DESTDIR)$(PREFIX)/include/
+ 
+ all: $(ALL)
+ 
+-- 
+2.29.1
+

diff --git a/dev-lang/jsonnet/jsonnet-0.16.0-r2.ebuild b/dev-lang/jsonnet/jsonnet-0.16.0-r2.ebuild
index 60961d97d63..b8788c9e269 100644
--- a/dev-lang/jsonnet/jsonnet-0.16.0-r2.ebuild
+++ b/dev-lang/jsonnet/jsonnet-0.16.0-r2.ebuild
@@ -35,6 +35,7 @@ PATCHES=(
 	"${FILESDIR}/jsonnet-0.14.0-makefile.patch"
 	"${FILESDIR}/jsonnet-0.12.1-dont-call-make-from-setuppy.patch"
 	"${FILESDIR}/jsonnet-0.16.0-libdir.patch"
+	"${FILESDIR}/jsonnet-0.16.0-cp-var.patch"
 )
 
 distutils_enable_tests setup.py
@@ -61,7 +62,8 @@ src_test() {
 }
 
 src_install() {
-	emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" LIBDIR="$(get_libdir)" install
+	emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" \
+		CP="cp -d" LIBDIR="$(get_libdir)" install
 	use python && distutils-r1_src_install
 	if use doc; then
 		find doc -name '.gitignore' -delete || die


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/jsonnet/, dev-lang/jsonnet/files/
@ 2022-01-06 18:15 Patrick McLean
  0 siblings, 0 replies; 4+ messages in thread
From: Patrick McLean @ 2022-01-06 18:15 UTC (permalink / raw
  To: gentoo-commits

commit:     de7834746390e34af62816986e2d0608a0b0f540
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  6 18:15:05 2022 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Jan  6 18:15:05 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de783474

dev-lang/jsonnet: Version bump to 0.18.0

Unbundle nlohmann_json

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-lang/jsonnet/Manifest                          |   1 +
 .../jsonnet/files/jsonnet-0.18.0-unbundle.patch    |  75 +++++++++++++++
 dev-lang/jsonnet/jsonnet-0.18.0.ebuild             | 102 +++++++++++++++++++++
 3 files changed, 178 insertions(+)

diff --git a/dev-lang/jsonnet/Manifest b/dev-lang/jsonnet/Manifest
index 125cb3172b14..1ebf61717120 100644
--- a/dev-lang/jsonnet/Manifest
+++ b/dev-lang/jsonnet/Manifest
@@ -1,3 +1,4 @@
 DIST jsonnet-0.15.0.tar.gz 21826038 BLAKE2B 722a844c00ec31b662d932a4481a71197adad680181c6a56a49dfa3e9b63696d29320c5278024d44c0ab3d7d80569514792f815ac7fa3a3cc08c7756fb6f08ad SHA512 b63c1bf82e4fc9ba3f1009ed4e4ba1010e3e7f81bd816a234e48d35607eae3cba95cab57813d35daa9f024e316bae5256340a6f8d6d884f9136cdbf062a2b351
 DIST jsonnet-0.16.0.tar.gz 21828911 BLAKE2B d6e9648e259b94513507ba5a6e305f705541904d7755dc5521b7fc2940b761f413bfaba39521af54eb428337be2e75f07d12038edcf7e8a5ba95feccc8dd4a02 SHA512 80e0403ec8008cbacff8d9e8fe0e2b5d3bfa306d92c2c11d472e5721015ce4c11be745df10d25715f22f8d8594df69fabf2fe617bdded462ffc5b21f8923606f
 DIST jsonnet-0.17.0.tar.gz 21854054 BLAKE2B 91561f2cffb5c711d4ba58aceef90bbcd654997872936bcf475d397a7b831b833d349c828271e58795cca10c915ab4ec0a517dc0fc2f563673ba7a6e74cfea3f SHA512 d3ee6947163d8abced504ff37ecf365c0311164cbf243d4c635d34944f0831ca9fce2470acf00eb9a218f82a2e553b3f885db9bd21bb9dcefbd707fa0202925d
+DIST jsonnet-0.18.0.tar.gz 22472162 BLAKE2B 4f931a44b0cbeea0dc7705c28ca49817e2b3abe19ba4fdcd550d5df1ce9ad6b06b1b740a9306d36caa3970c88df9d31700373e4997dd52c6c2219cdd9bf125c1 SHA512 08a64a4b132df1519292378cef93deb3c60d21636b2a71bce6c13e29cfd93cab465cad77e11f000fb984c5c75a4ca1c92504654fd2e5201343df767ea0e610d1

diff --git a/dev-lang/jsonnet/files/jsonnet-0.18.0-unbundle.patch b/dev-lang/jsonnet/files/jsonnet-0.18.0-unbundle.patch
new file mode 100644
index 000000000000..7c19e8893f12
--- /dev/null
+++ b/dev-lang/jsonnet/files/jsonnet-0.18.0-unbundle.patch
@@ -0,0 +1,75 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 5df20ca..9e60fae 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -121,7 +121,6 @@ endif()
+ add_subdirectory(include)
+ add_subdirectory(stdlib)
+ add_subdirectory(third_party/md5)
+-add_subdirectory(third_party/rapidyaml/rapidyaml ryml)
+ add_subdirectory(core)
+ add_subdirectory(cpp)
+ add_subdirectory(cmd)
+diff --git a/core/vm.cpp b/core/vm.cpp
+index 4617363..e328df5 100644
+--- a/core/vm.cpp
++++ b/core/vm.cpp
+@@ -23,7 +23,7 @@ limitations under the License.
+ 
+ #include "desugarer.h"
+ #include "json.h"
+-#include "json.hpp"
++#include "nlohmann/json.hpp"
+ #include "md5.h"
+ #include "parser.h"
+ #include "ryml_std.hpp" // include this before any other ryml header
+diff --git a/setup.py b/setup.py
+index 0a2748a..356915d 100644
+--- a/setup.py
++++ b/setup.py
+@@ -13,6 +13,7 @@
+ # limitations under the License.
+ 
+ import os
++import sys
+ from setuptools import setup
+ from setuptools import Extension
+ from setuptools.command.build_ext import build_ext as BuildExt
+@@ -22,28 +23,6 @@ DIR = os.path.abspath(os.path.dirname(__file__))
+ # NOTE: If you are editing the array below then you probably also need
+ # to change MANIFEST.in.
+ LIB_OBJECTS = [
+-    'core/desugarer.o',
+-    'core/formatter.o',
+-    'core/libjsonnet.o',
+-    'core/lexer.o',
+-    'core/parser.o',
+-    'core/pass.o',
+-    'core/static_analysis.o',
+-    'core/string_utils.o',
+-    'core/vm.o',
+-    'third_party/md5/md5.o',
+-    'third_party/rapidyaml/rapidyaml/ext/c4core/src/c4/char_traits.o',
+-    'third_party/rapidyaml/rapidyaml/ext/c4core/src/c4/base64.o',
+-    'third_party/rapidyaml/rapidyaml/ext/c4core/src/c4/language.o',
+-    'third_party/rapidyaml/rapidyaml/ext/c4core/src/c4/memory_util.o',
+-    'third_party/rapidyaml/rapidyaml/ext/c4core/src/c4/format.o',
+-    'third_party/rapidyaml/rapidyaml/ext/c4core/src/c4/time.o',
+-    'third_party/rapidyaml/rapidyaml/ext/c4core/src/c4/memory_resource.o',
+-    'third_party/rapidyaml/rapidyaml/ext/c4core/src/c4/error.o',
+-    'third_party/rapidyaml/rapidyaml/src/c4/yml/parse.o',
+-    'third_party/rapidyaml/rapidyaml/src/c4/yml/preprocess.o',
+-    'third_party/rapidyaml/rapidyaml/src/c4/yml/common.o',
+-    'third_party/rapidyaml/rapidyaml/src/c4/yml/tree.o',
+ ]
+ 
+ MODULE_SOURCES = ['python/_jsonnet.c']
+@@ -72,6 +51,8 @@ jsonnet_ext = Extension(
+     '_jsonnet',
+     sources=MODULE_SOURCES,
+     extra_objects=LIB_OBJECTS,
++    libraries = ['md5', 'jsonnet', 'ryml'],
++    library_dirs = [os.environ.get('CMAKE_BUILD_DIR')],
+     include_dirs = ['include'],
+     language='c++'
+ )

diff --git a/dev-lang/jsonnet/jsonnet-0.18.0.ebuild b/dev-lang/jsonnet/jsonnet-0.18.0.ebuild
new file mode 100644
index 000000000000..456f3d3e9e49
--- /dev/null
+++ b/dev-lang/jsonnet/jsonnet-0.18.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( pypy3 python3_{7..10} )
+
+inherit cmake toolchain-funcs flag-o-matic distutils-r1
+
+DESCRIPTION="A data templating language for app and tool developers"
+HOMEPAGE="https://jsonnet.org/"
+SRC_URI="https://github.com/google/jsonnet/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+IUSE="custom-optimization doc examples python test"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RDEPEND="
+	dev-cpp/rapidyaml:=
+	dev-cpp/nlohmann_json:=
+	python? ( ${PYTHON_DEPS} )
+"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+	python? (
+		${PYTHON_DEPS}
+		dev-python/setuptools[${PYTHON_USEDEP}]
+	)
+"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+PATCHES=(
+	"${FILESDIR}/jsonnet-0.12.1-dont-call-make-from-setuppy.patch"
+	"${FILESDIR}/jsonnet-0.16.0-libdir.patch"
+	"${FILESDIR}/jsonnet-0.16.0-cp-var.patch"
+	"${FILESDIR}/jsonnet-0.18.0-unbundle.patch"
+)
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	cmake_src_prepare
+	use python && distutils-r1_src_prepare
+}
+
+src_configure() {
+	use custom-optimization || replace-flags '-O*' -O3
+	tc-export CC CXX
+
+	local mycmakeargs=(
+		-DUSE_SYSTEM_JSON=ON
+		-DBUILD_STATIC_LIBS=OFF
+	)
+
+	if use test; then
+		mycmakeargs+=(
+			-DBUILD_TESTS=ON
+			-DUSE_SYSTEM_GTEST=ON
+		)
+	else
+		mycmakeargs+=(
+			-DBUILD_TESTS=OFF
+		)
+	fi
+
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_src_compile
+	use python && CMAKE_BUILD_DIR="${BUILD_DIR}" distutils-r1_src_compile
+}
+
+src_test() {
+	cmake_src_test
+	use python && CMAKE_BUILD_DIR="${BUILD_DIR}" distutils-r1_src_test
+}
+
+python_test() {
+	LD_LIBRARY_PATH="${CMAKE_BUILD_DIR}" "${EPYTHON}" -m unittest python._jsonnet_test -v \
+		|| die "Tests failed with ${EPYTHON}"
+}
+
+src_install() {
+	cmake_src_install
+	use python && distutils-r1_src_install
+
+	if use doc; then
+		find doc -name '.gitignore' -delete || die
+		docinto html
+		dodoc -r doc/.
+	fi
+	if use examples; then
+		docinto examples
+		dodoc -r examples/.
+	fi
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/jsonnet/, dev-lang/jsonnet/files/
@ 2022-10-28 15:57 Sam James
  0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2022-10-28 15:57 UTC (permalink / raw
  To: gentoo-commits

commit:     c7302e8af4a0b04bad97c53bb94c71e175117f2a
Author:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  6 07:18:13 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct 28 15:56:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7302e8a

dev-lang/jsonnet: fix build on gcc-13

Earlier versions couldn't be tested due to ancient versions of Python
being unavailable, but the patch may apply as well.

Closes: https://bugs.gentoo.org/875569
Closes: https://github.com/gentoo/gentoo/pull/27657
Signed-off-by: WANG Xuerui <xen0n <AT> gentoo.org>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/jsonnet/files/jsonnet-0.18.0-gcc-13.patch | 18 ++++++++++++++++++
 dev-lang/jsonnet/jsonnet-0.18.0-r1.ebuild          |  1 +
 2 files changed, 19 insertions(+)

diff --git a/dev-lang/jsonnet/files/jsonnet-0.18.0-gcc-13.patch b/dev-lang/jsonnet/files/jsonnet-0.18.0-gcc-13.patch
new file mode 100644
index 000000000000..b2adca81a351
--- /dev/null
+++ b/dev-lang/jsonnet/files/jsonnet-0.18.0-gcc-13.patch
@@ -0,0 +1,18 @@
+https://github.com/google/jsonnet/pull/1020
+From: WANG Xuerui <git@xen0n.name>
+Date: Thu, 6 Oct 2022 15:04:47 +0800
+Subject: [PATCH] Add #include <cstdint> for gcc-13 builds
+
+See https://gcc.gnu.org/gcc-13/porting_to.html#header-dep-changes.
+
+This fixes Gentoo bug https://bugs.gentoo.org/875569.
+--- a/include/libjsonnet++.h
++++ b/include/libjsonnet++.h
+@@ -17,6 +17,7 @@ limitations under the License.
+ #ifndef CPP_JSONNET_H_
+ #define CPP_JSONNET_H_
+ 
++#include <cstdint>
+ #include <cstring>
+ #include <functional>
+ #include <map>

diff --git a/dev-lang/jsonnet/jsonnet-0.18.0-r1.ebuild b/dev-lang/jsonnet/jsonnet-0.18.0-r1.ebuild
index 9411530afa9b..5d8c0d156382 100644
--- a/dev-lang/jsonnet/jsonnet-0.18.0-r1.ebuild
+++ b/dev-lang/jsonnet/jsonnet-0.18.0-r1.ebuild
@@ -42,6 +42,7 @@ PATCHES=(
 	"${FILESDIR}/jsonnet-0.16.0-libdir.patch"
 	"${FILESDIR}/jsonnet-0.16.0-cp-var.patch"
 	"${FILESDIR}/jsonnet-0.18.0-unbundle.patch"
+	"${FILESDIR}/jsonnet-0.18.0-gcc-13.patch"
 )
 
 distutils_enable_tests unittest


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2022-10-28 15:57 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-01-06 18:15 [gentoo-commits] repo/gentoo:master commit in: dev-lang/jsonnet/, dev-lang/jsonnet/files/ Patrick McLean
  -- strict thread matches above, loose matches on Subject: below --
2022-10-28 15:57 Sam James
2020-10-26  1:15 Georgy Yakovlev
2020-10-25 23:27 Georgy Yakovlev

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox